Skip to main content
Server path: /vercel-security | Type: Application | PCID required: Yes

Tools

ToolDescription
vercel_security_add_bypass_ipCreate System Bypass Rule
vercel_security_create_flagCreate a flag
vercel_security_create_flag_segmentCreate a segment
vercel_security_create_sdk_keyCreate an SDK key
vercel_security_delete_flagDelete a flag
vercel_security_delete_flag_segmentDelete a segment
vercel_security_delete_sdk_keyDelete an SDK key
vercel_security_get_active_attack_statusRead active attack data
vercel_security_get_bypass_ipRead System Bypass
vercel_security_get_deployment_feature_flagsRetrieve the feature flags of a deployment
vercel_security_get_firewall_configRead Firewall Configuration
vercel_security_get_firewall_eventsRead Firewall Actions by Project
vercel_security_get_flagGet a flag
vercel_security_get_flag_segmentGet a segment
vercel_security_get_flag_settingsGet project flag settings
vercel_security_get_sdk_keysGet all SDK keys
vercel_security_list_flag_segmentsList segments
vercel_security_list_flag_versionsList flag versions
vercel_security_list_flagsList flags
vercel_security_list_team_flag_settingsList team project flag settings
vercel_security_list_team_flagsList all flags for a team
vercel_security_put_firewall_configPut Firewall Configuration
vercel_security_remove_bypass_ipRemove System Bypass Rule
vercel_security_update_attack_challenge_modeUpdate Attack Challenge mode
vercel_security_update_firewall_configUpdate Firewall Configuration
vercel_security_update_flagUpdate a flag
vercel_security_update_flag_segmentUpdate a segment
vercel_security_update_flag_settingsUpdate project flag settings

vercel_security_add_bypass_ip

Create System Bypass Rule Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
allSourcesbooleanNoAll Sources
domainstringNoThe domain value
notestringNoThe note value
projectScopebooleanNoIf the specified bypass will apply to all domains for a project.
sourceIpstringNoSource Ip
ttlnumberNoTime to live in milliseconds

vercel_security_create_flag

Create a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringYesThe Team slug to perform the request on behalf of.
descriptionstringNoA description of the flag
environmentsobjectYesThe configuration for the flag in different environments
kindobjectYesThe kind of flag
seednumberNoA random seed to prevent split points in different flags from having the same targets
statestringNoThe state value
variantsany[]NoThe variants of the flag

vercel_security_create_flag_segment

Create a segment Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringYesThe Team slug to perform the request on behalf of.
createdBystringNoThe entity who created the segment
dataobjectYesThe data of the segment
descriptionstringNoThe description value
hintstringYesThe hint value
labelstringYesThe label value

vercel_security_create_sdk_key

Create an SDK key Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
environmentstringYesThe environment value
labelstringNoThe label value
sdkKeyTypestringYesSdk Key Type

vercel_security_delete_flag

Delete a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
flagIdOrSlugstringYesThe flag id or name
ifMatchstringNoEtag to match, can be used interchangeably with the if-match header
withMetadatabooleanNoWhether to include metadata in the response
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_delete_flag_segment

Delete a segment Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
segmentIdOrSlugstringYesThe segment slug
withMetadatabooleanNoWhether to include metadata
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_delete_sdk_key

Delete an SDK key Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
hashKeystringYesThe SDK key hash key to delete
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_active_attack_status

Read active attack data Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
sincenumberNoThe since value
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_bypass_ip

Read System Bypass Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
limitnumberNoMaximum number of results to return
sourceIpstringNoFilter by source IP
domainstringNoFilter by domain
projectScopebooleanNoFilter by project scoped rules
offsetstringNoUsed for pagination. Retrieves results after the provided id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_deployment_feature_flags

Retrieve the feature flags of a deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesDeployment Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_firewall_config

Read Firewall Configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
configVersionstringYesThe deployed configVersion for the firewall configuration

vercel_security_get_firewall_events

Read Firewall Actions by Project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
startTimestampnumberNoStart Timestamp
endTimestampnumberNoEnd Timestamp
hostsstringNoThe hosts value

vercel_security_get_flag

Get a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
flagIdOrSlugstringYesThe flag id or name
ifMatchstringNoEtag to match, can be used interchangeably with the if-match header
withMetadatabooleanNoWhether to include metadata in the response
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_flag_segment

Get a segment Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
segmentIdOrSlugstringYesThe segment slug
withMetadatabooleanNoWhether to include metadata
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_flag_settings

Get project flag settings Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_get_sdk_keys

Get all SDK keys Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_list_flag_segments

List segments Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
withMetadatabooleanNoWhether to include metadata
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_list_flag_versions

List flag versions Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesProject Id Or Name
flagIdOrSlugstringYesFlag Id Or Slug
limitnumberNoMaximum number of results to return
cursorstringNoPagination cursor
environmentstringNoEnvironment to filter by
withMetadatabooleanNoWhether to include metadata
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_list_flags

List flags Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
statestringNoThe state of the flags to retrieve. Defaults to active.
withMetadatabooleanNoWhether to include metadata in the response
limitintegerNoMaximum number of flags to return. When not set, all flags are returned.
cursorstringNoPagination cursor to continue from.
searchstringNoSearch flags by their slug or description. Case-insensitive.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_list_team_flag_settings

List team project flag settings Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoMaximum number of settings to return.
cursorstringNoPagination cursor to continue from.
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_list_team_flags

List all flags for a team Parameters:
ParameterTypeRequiredDefaultDescription
statestringNoThe state of the flags to retrieve. Defaults to active.
withMetadatabooleanNoWhether to include metadata in the response
limitintegerNoMaximum number of flags to return.
cursorstringNoPagination cursor to continue from.
searchstringNoSearch flags by their slug or description. Case-insensitive.
kindstringNoThe kind of flags to retrieve.
teamIdstringYesThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_security_put_firewall_config

Put Firewall Configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
botIdEnabledbooleanNoBot Id Enabled
crsobjectNoCustom Ruleset
firewallEnabledbooleanYesFirewall Enabled
ipsany[]NoThe ips value
logHeadersany[]NoLog Headers
managedRulesobjectNoManaged Rules
rulesany[]NoThe rules value

vercel_security_remove_bypass_ip

Remove System Bypass Rule Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
allSourcesbooleanNoAll Sources
domainstringNoThe domain value
notestringNoThe note value
projectScopebooleanNoProject Scope
sourceIpstringNoSource Ip

vercel_security_update_attack_challenge_mode

Update Attack Challenge mode Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
bodyobjectYesRequest body

vercel_security_update_firewall_config

Update Firewall Configuration Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
bodyobjectYesRequest body

vercel_security_update_flag

Update a flag Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
flagIdOrSlugstringYesThe flag id or name
ifMatchstringNoEtag to match, can be used interchangeably with the if-match header
withMetadatabooleanNoWhether to include metadata in the response
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
createdBystringNoThe user who created this patch
descriptionstringNoA description of the flag
environmentsobjectNoThe configuration for the flag in different environments
messagestringNoAdditional message for this version
seednumberNoA random seed to prevent split points in different flags from having the same targets
statestringNoThe state value
variantsany[]NoThe variants of the flag

vercel_security_update_flag_segment

Update a segment Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
segmentIdOrSlugstringYesThe segment slug
withMetadatabooleanNoWhether to include metadata
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
dataobjectNoThe data of the segment
descriptionstringNoThe description value
hintstringNoThe hint value
labelstringNoThe label value
operationsany[]NoThe operations value

vercel_security_update_flag_settings

Update project flag settings Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe project id or name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
enabledbooleanNoThe enabled value
entitiesany[]NoThe entities value
environmentsany[]NoThe environments to sync